> ## Documentation Index
> Fetch the complete documentation index at: https://vidlab7-d7584a5d.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create API Key

> Generate an API key to authenticate with Moonscale's Studio API endpoints.

To interact with Moonscale Studio's APIs, you'll first need to generate an API key from your dashboard. This guide walks you through the steps.

## Steps to Generate an API Key

1. **Log In to the Studio**\
   Go to [app.moonscale.com](https://app.moonscale.com/workspaces/personal/ai-sales-advisors) and sign in with your account.

2. **Open the API Section**\
   In the bottom-left of the sidebar, click on **API**. This will open the API Keys page where you can manage keys for all your live avatars.

   > **Note:** API access is feature-flagged and may not be enabled for your account. If you don't see the API section, please contact [Moonscale Support](mailto:support@moonscale.com) to request access.

3. **Generate a New Key**\
   Click the **Generate new key** button at the bottom-left of the tab section.\
   Give your key a descriptive name, then click **Generate**.

   > ⚠️ **Important:** This is your only chance to copy the API key. It will be permanently hidden after you close the dialog. If you lose the key, you will need to delete it and generate a new one.

4. **Authenticate Your Requests**\
   Once you've copied your key, you can use it in API requests via the `x-api-key` header. See the example request on the right hand side of this page.

<RequestExample>
  ```bash theme={null}
  curl --request GET 'https://api-prd.moonscale.com/api/v1/avatars' \
  --header 'x-api-key: <YOUR_API_KEY>'
  ```
</RequestExample>
